Page MenuHomePhabricator

[Story] default display for article placeholder
Closed, ResolvedPublic

Description

a default content page generated from an item, which isn't editable

  • needs to be clearly marked as placeholder
  • will show all statements vs shows only the statements that are some kind of "useful"
  • the references should be shown, but not "imported from" (doesn't make much sense in this case)

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterAdd a default display

Related Objects

StatusAssignedTask
Resolvedthiemowmde
DeclinedNone
InvalidLydia_Pintscher
ResolvedLucie
ResolvedLucie
ResolvedLucie
DuplicateLucie
ResolvedLucie
DuplicateLucie
DeclinedLucie
InvalidLucie
ResolvedLucie
ResolvedLucie
DuplicateLucie
ResolvedLucie
OpenNone
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedhoo
ResolvedTobi_WMDE_SW
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolvedaude
Resolveddaniel
Resolveddaniel
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
OpenNone
Resolvedthiemowmde
Resolved Jonas
ResolvedAklapper
OpenLydia_Pintscher

Event Timeline

Lucie created this task.Aug 18 2015, 3:01 PM
Lucie claimed this task.
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)

Change 232766 had a related patch set uploaded (by Lucie Kaffee):
Include template to call lua module

https://gerrit.wikimedia.org/r/232766

Change 239128 had a related patch set uploaded (by Lucie Kaffee):
[WIP] Implement the Lua library for the default display

https://gerrit.wikimedia.org/r/239128

Change 241065 had a related patch set uploaded (by Lucie Kaffee):
Merge branch 'master' of https://gerrit.wikimedia.org/r/mediawiki/extensions/ArticlePlaceholder into T109447

https://gerrit.wikimedia.org/r/241065

Lucie added a subscriber: hoo.Sep 28 2015, 10:13 AM
Lucie moved this task from To Do Next to Doing on the ArticlePlaceholder board.Nov 15 2015, 7:56 PM
Lucie moved this task from Doing to Review on the ArticlePlaceholder board.
Lucie moved this task from Proposed to Review on the Wikidata-Sprint-2015-11-17 board.

Change 253150 merged by jenkins-bot:
Add a default display

https://gerrit.wikimedia.org/r/253150

Lucie moved this task from Review to Done on the Wikidata-Sprint-2015-12-01 board.Dec 5 2015, 2:15 PM
Lucie moved this task from Review to Incoming on the ArticlePlaceholder board.
Lucie closed this task as Resolved.Oct 28 2016, 11:00 AM
Lucie moved this task from Broader tickets to Done on the ArticlePlaceholder board.